| Home | Libraries | People | FAQ | More

## Function template random_shuffle

boost::compute::random_shuffle

## Synopsis

    // In header: <boost/compute/algorithm/random_shuffle.hpp>

    template<typename Iterator>
      void random_shuffle(Iterator first, Iterator last,
                          command_queue & queue = system::default_queue());

## Description

Randomly shuffles the elements in the range [`first`, `last`).

See Also:

scatter()